.border(@radius: 3) {
  -webkit-border-radius: ~"@{radius}px";
  -moz-border-radius: ~"@{radius}px";
  border-radius: ~"@{radius}px";
}

.borderCorner(@topLeft: 3, @topRight: 3, @bottomLeft: 3, @bottomRight:3){
  -webkit-border-top-left-radius: ~"@{topLeft}px";
  -webkit-border-top-right-radius: ~"@{topRight}px";
  -webkit-border-bottom-right-radius: ~"@{bottomRight}px";
  -webkit-border-bottom-left-radius:  ~"@{bottomLeft}px";
  -moz-border-radius-topleft: ~"@{topLeft}px";
  -moz-border-radius-topright: ~"@{topRight}px";
  -moz-border-radius-bottomright: ~"@{bottomRight}px";
  -moz-border-radius-bottomleft: ~"@{bottomLeft}px";
  border-top-left-radius: ~"@{topLeft}px";
  border-top-right-radius:~"@{topRight}px";
  border-bottom-right-radius: ~"@{bottomRight}px";
  border-bottom-left-radius: ~"@{bottomLeft}px";
}

.borderTop(@radius: 3) {
  -webkit-border-radius: ~"@{radius}px";
  -webkit-border-bottom-right-radius: 0;
  -webkit-border-bottom-left-radius: 0;
  -moz-border-radius: ~"@{radius}px";
  -moz-border-radius-bottomright: 0;
  -moz-border-radius-bottomleft: 0;
  border-radius: ~"@{radius}px";
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.borderBottom(@radius: 3) {
  -webkit-border-radius: 0;
  -webkit-border-bottom-right-radius: ~"@{radius}px";
  -webkit-border-bottom-left-radius: ~"@{radius}px";
  -moz-border-radius: 0;
  -moz-border-radius-bottomright: ~"@{radius}px";
  -moz-border-radius-bottomleft: ~"@{radius}px";
  border-radius: 0;
  border-bottom-right-radius: ~"@{radius}px";
  border-bottom-left-radius: ~"@{radius}px";
}

.trans(@second: 0.2s) {
  transition-timing-function: ease-in-out;
  -o-transition: all @second linear;
  -moz-transition: all @second linear;
  -khtml-transition: all @second linear;
  -webkit-transition: all @second linear;
  -ms-transition: all @second linear;
  transition: all @second linear;
}